org.apache.maven.scm.provider.accurev.commands.login

## Class AccuRevLoginCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.login.AbstractLoginCommand
    - - org.apache.maven.scm.provider.accurev.commands.login.AccuRevLoginCommand

All Implemented Interfaces:
  Command

    public class AccuRevLoginCommand
    extends AbstractLoginCommand

Version:
  $Id: AccuRevLoginCommand.java 686195 2008-08-15 11:32:15Z vsiveton $

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AccuRevLoginCommand(String executable)`

### Method Summary

Methods
`protected org.codehaus.plexus.util.cli.Commandline` `createLoginCommandLine(AccuRevScmProviderRepository repository)` Creates the login command line
`LoginScmResult` `executeLoginCommand(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`

### Methods inherited from class org.apache.maven.scm.command.login.AbstractLoginCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AccuRevLoginCommand

    public AccuRevLoginCommand(String executable)

### Method Detail

#### executeLoginCommand

    public LoginScmResult executeLoginCommand(ScmProviderRepository repository,
                                     ScmFileSet fileSet,
                                     CommandParameters parameters)
                                       throws ScmException

Specified by:
  `executeLoginCommand` in class `AbstractLoginCommand`
Throws:
  `ScmException`

#### createLoginCommandLine

    protected org.codehaus.plexus.util.cli.Commandline createLoginCommandLine(AccuRevScmProviderRepository repository)

Creates the login command line

Parameters:
  `repository` - AccuRevScmProviderRepository object
Returns:
  Commadline object to perform login